See Stacksync in action with a solution architect. Book a demo ↗
GeniesTasks

Genie tasks

List Genie tasks

GET
/v1/workspaces/{workspace_id}/genies/{genie_id}/tasks

The tasks of a Genie you can see: yours and the ones shared with the workspace.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

genie_id*string

The Genie.

Formatuuid

Query Parameters

region*Regions

Region of the genie: besg (Europe) or usnv (United States)

Value in"besg""usnv"

Response Body

OK

application/json
  1. response
data*array<>
List Genie tasks
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/genies/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks?region=besg'
{  "data": [    {      "task_id": "<task_id>",      "name": "<name>",      "instruction": "<instruction>",      "cron_expression": "<cron_expression>",      "run_at": "<run_at>",      "start_time": "<start_time>",      "next_run_time": "<next_run_time>",      "is_paused": false,      "is_shared_with_workspace": false,      "created_time": "<created_time>"    }  ]}